# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Scalar/Util.pm) perl(Taint/Util.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Signature.pm) perl(Test/Warnings.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Data-Validate-DNS-SSHFP
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Validate DNS SSH Fingerprint (SSHFP) Record Values
Group: Development/Perl
License: perl
URL: https://github.com/mschout/perl-data-validate-dns-sshfp

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MS/MSCHOUT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module offers functions for validating DNS SSH Fingerprint (SSHFP) record
fields to make input validation and untainting easier and more readable.

All of the functions return an untainted value on success and a false value
(undef or empty list) on failure.  In scalar context you should check that the
return value is defined.

All functions can be called as methods if using the object oriented interface.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/D*

%changelog
* Sat Jun 09 2018 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

